### Method

# Gtk.CellLayout.add_attribute

#### Declaration [src]

    void
    gtk_cell_layout_add_attribute (
      GtkCellLayout* cell_layout,
      GtkCellRenderer* cell,
      const char* attribute,
      int column
    )

#### Description [src]

Adds an attribute mapping to the list in `cell_layout`.

The `column` is the column of the model to get a value from, and the `attribute` is the parameter on `cell` to be set from the value. So for example if column 2 of the model contains strings, you could have the “text” attribute of a `GtkCellRendererText` get its values from column 2.

#### Parameters

`cell` | `GtkCellRenderer`
| a `GtkCellRenderer`
| Ownership is not transferred to the callee
`attribute` | `const char*`
| an attribute on the renderer
| Ownership is not transferred to the callee
| The string is a NUL terminated UTF-8 string
`column` | `int`
| the column position on the model to get the attribute from